SeExpr

Namespaces | Functions
Noise.h File Reference

Go to the source code of this file.

## Namespaces
| SeExpr2

## Functions
template<int d_in, int d_out, class T >
void | SeExpr2::Noise (const T *in, T *out)
| Noise with d_in dimensional domain, d_out dimensional abcissa. More...
template<int d_in, int d_out, class T >
void | SeExpr2::PNoise (const T *in, const int *period, T *out)
| Periodic Noise with d_in dimensional domain, d_out dimensional abcissa. More...
template<int d_in, int d_out, bool turbulence, class T >
void | SeExpr2::FBM (const T *in, T *out, int octaves, T lacunarity, T gain)
| Fractional Brownian Motion. If turbulence is true then turbulence computed. More...
template<int d_in, int d_out, class T >
void | SeExpr2::CellNoise (const T *in, T *out)
| Computes cellular noise (non-interpolated piecewise constant cell random values) More...